function onDeviceReady() {
	// Register the event listener
	if(admobid.interstitial != "NULL"){
		//AdMob.prepareInterstitial({adId:admobid.interstitial, autoShow:true});
	}
	document.addEventListener('onInterstitialDismiss', interstitialEnd);
	document.addEventListener('onInterstitialFailedToReceive', interstitialEnd);
	document.addEventListener("onAdFailLoad", interstitialEnd);
	document.addEventListener("onAdDismiss", interstitialEnd);
	document.addEventListener("menubutton", onMenuKeyDown, false);		
	document.addEventListener("pause", onPause, false);
	document.addEventListener("resume", onResume, false);
	document.addEventListener("backbutton", onBackKeyDown, false);
	document.addEventListener('onAdLoaded', onAdLoaded);


	//Analytic
	if(typeof(window.analytics) != 'undefined'){
		//window.analytics.debugMode();
		window.analytics.startTrackerWithId('UA-37758031-45');
		window.analytics.setUserId(device.uuid);
	}
}

// Handle the back button
function onBackKeyDown() {	
	//if(AdMob) AdMob.showInterstitial();
	if(typeof(cr_setSuspended) != "undefined") {				
		cr_setSuspended(true); // Handle the pause event
	}					
	navigator.app.exitApp(); //Your backbutton code
}

function onPause() {
	if(typeof(cr_setSuspended) != "undefined") {				
		cr_setSuspended(true); // Handle the pause event
	}
}  
		
function onResume() {
	if(typeof(cr_setSuspended) != "undefined") {
		cr_setSuspended(false); // Handle the pause event				
	}
}

function onMenuKeyDown() {
	if(typeof(cr_setSuspended) != "undefined") {				
		cr_setSuspended(true); // Handle the pause event
	}					
	// Handle the back button
}

function onLoad() {
        if(( /(ipad|iphone|ipod|android)/i.test(navigator.userAgent) )) {
            document.addEventListener('deviceready', initApp, false);
        } else {
            initApp();
        }
    }

var ad_units = {
            ios : {
                banner: '',
                interstitial: '/14206847/Mobile-InApp-Interstitial'
            },
            android : {
                banner: '',
                interstitial: '/14206847/Mobile-InApp-Interstitial'
            }
};
var admobid = ( /(android)/i.test(navigator.userAgent) ) ? ad_units.android : ad_units.ios;

function initApp() {
    
    // display the banner at startup
    //eateSelectedBanner();
}


document.addEventListener("deviceready", onDeviceReady, false);


//-----------------------------------------------------------------------
var interstitialReady = false;
function cordovaSetPauseConstruct(bool){
	if(typeof(AdMob) == "undefined"){return;}
	if(typeof(cr_setSuspended) != "undefined") {				
		cr_setSuspended(bool);
	}	
}

function onAdLoaded(e){
	interstitialReady = true;
}

function interstitialEnd(e) {
	if(typeof(AdMob) == "undefined"){return;}
	cordovaSetPauseConstruct(false);
}

function reloadInterstitial(){
	if(interstitialReady){return;}
	if(admobid.interstitial == "NULL"){ return;}
	AdMob.prepareInterstitial({adId:admobid.interstitial, autoShow:false});
}


function cordovaStartPubConstruct(){
	if(typeof(AdMob) == "undefined"){return;}
	if(!interstitialReady){return;}
	cordovaSetPauseConstruct(true);
	if(AdMob) AdMob.showInterstitial();
	interstitialReady = false;
}

/*
*	c2LayoutChange(state,name,force)     : called on construct when layout change
*
*	string state : "in" when enter on the layout, "out" when left the layout
*	string name : name of the layout
*	bool forcePub :  [default = 1]  1 = pub ; 0= noPub
*/
var lastLayout = "Loading";
function c2LayoutChange(state,name,force,obj){
	if(typeof(force) != "undefined" && force == false){  
		return;
	}
	if(typeof(window.analytics) != 'undefined') {
		window.analytics.trackView("blackGoldPlumber_"+name+
			((typeof(obj) != "undefined" && typeof(obj.gamemode) != "undefined")?"_"+obj.gamemode:"")+
			((typeof(obj) != "undefined" && typeof(obj.level) != "undefined")?"_"+obj.level:"")
		);
	}


	switch(name) {
	    case "Splash":
	        break;
	    case "LevelSelect":
	        break;
	    case "GameMain":
			if(state == "in"){
				if(lastLayout != "GameMain"){
	    			reloadInterstitial();
				}
	    	}else if(state == "out"){

	    	}
	        break;
	    case "GameOver":
	    	if(state == "in"){
	    		if(timer > timeMinBetweenPub){
	    			timer = 0;
	    			cordovaStartPubConstruct();
	    		}
	    	}else if(state == "out"){

	    	}
	        break;
	}
	lastLayout = name;
}

//Set timer Mini between pub
var timeMinBetweenPub = 90;
var sitTimer = setInterval(function(){timer++;},1000);
var timer = timeMinBetweenPub;